---
title: "Get AiR Jobs for a Sub-Account"
slug: "get-air-jobs-for-a-sub-account"
updated: 2025-10-23T18:39:57Z
published: 2025-10-23T18:40:53Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AiR Jobs for a Sub-Account

Get/v1/accounts/{AcctNum}/air-jobs

Return a paginated set of finished AiR Jobs associated with the Sub-Account. If a job is still in progress, it won't return that job. Using from (inclusive) and to (exclusive) query string parameters (in the format YYYY-MM-DD) will apply date filters to the result set. If finishedDate (in the format YYYY-MM-DD) is passed via the query string parameter, it takes precedence over from and to query parameters and returns all the jobs that were finished in that date (regardless of when they started). The query param sortOrder in either 'asc' or 'desc' format allows for specifying the order of the result set (defaults to 'asc') which is always sorted by FinishedTime. Pagination starts as page 0. Total records and total pages are only returned on page 0. If other pages are requested, total records and total pages are set to -1.

SecurityAPI Key: ApiKeyAuthHeader parameter nameAuthorization

Please enter your Primary Partner API Key

Path parametersAcctNuminteger (int32) Required

Query parametersfromstring (date) 
tostring (date) 
finishedDatestring (date) 
pageSizeinteger (int32) 
pageNumberinteger (int32) 
sortOrderstring

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='98a5deba-a287-4c9c-9857-f515b3e5c4eb'>application/json</option>
</select>Array of object   object  Paginationobject (PageInfo)  PageSizeinteger  (int32)    
PageNumberinteger  (int32)    
TotalRecordsinteger  (int64)    
TotalPagesinteger  (int32)    

Records Array of object (AirJob)   object  JobIdstring    

Unique identifier for the job

AcctNuminteger  (int32)    
MediaRuntimeTotalSecondsinteger  (int64)    

Total runtime seconds of the object

CreatedAtstring    

The time when the job got created in the format YYYY-MM-DD hh:mm:ss

FinishedAtstring    

The time when the job got finished/completed in the format YYYY-MM-DD hh:mm:ss

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='6fb397d9-8986-4433-ac0a-5d35070093b3'>application/json</option>
</select>object  Msgstring    

The error message

403

Forbidden

<select class='api-response-data' aria-label='Media type'><option value='2f539a49-413f-4149-9e9d-74c83c39c7fb'>application/json</option>
</select>object  Msgstring    

The error message

404

Not Found

<select class='api-response-data' aria-label='Media type'><option value='50f19275-8012-4301-b56b-261be526f5e1'>application/json</option>
</select>object  Msgstring    

The error message

500

Internal Error

<select class='api-response-data' aria-label='Media type'><option value='ff2eda1a-1028-48ae-84da-2c1cb5bda179'>application/json</option>
</select>object  Msgstring    

The error message
